# Class InsertSizeMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.metrics.MultilevelMetrics
picard.analysis.InsertSizeMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class InsertSizeMetrics extends MultilevelMetrics
Metrics about the insert size distribution of a paired-end library, created by the CollectInsertSizeMetrics program and usually written to a file with the extension ".insert_size_metrics". In addition the insert size distribution is plotted to a file with the extension ".insert_size_Histogram.pdf".

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`MAX_INSERT_SIZE`
The maximum measure insert size by alignment.
`double`
`MEAN_INSERT_SIZE`
The mean insert size of the "core" of the distribution.
`double`
`MEDIAN_ABSOLUTE_DEVIATION`
The median absolute deviation of the distribution.
`double`
`MEDIAN_INSERT_SIZE`
The MEDIAN insert size of all paired end reads where both ends mapped to the same chromosome.
`int`
`MIN_INSERT_SIZE`
The minimum measured insert size.
`double`
`MODE_INSERT_SIZE`
The MODE insert size of all paired end reads where both ends mapped to the same chromosome.
`htsjdk.samtools.SamPairUtil.PairOrientation`
`PAIR_ORIENTATION`
The pair orientation of the reads in this data category.
`long`
`READ_PAIRS`
The total number of read pairs that were examined in the entire distribution.
`double`
`STANDARD_DEVIATION`
Standard deviation of insert sizes over the "core" of the distribution.
`int`
`WIDTH_OF_10_PERCENT`
The "width" of the bins, centered around the median, that encompass 10% of all read pairs.
`int`
`WIDTH_OF_20_PERCENT`
The "width" of the bins, centered around the median, that encompass 20% of all read pairs.
`int`
`WIDTH_OF_30_PERCENT`
The "width" of the bins, centered around the median, that encompass 30% of all read pairs.
`int`
`WIDTH_OF_40_PERCENT`
The "width" of the bins, centered around the median, that encompass 40% of all read pairs.
`int`
`WIDTH_OF_50_PERCENT`
The "width" of the bins, centered around the median, that encompass 50% of all read pairs.
`int`
`WIDTH_OF_60_PERCENT`
The "width" of the bins, centered around the median, that encompass 60% of all read pairs.
`int`
`WIDTH_OF_70_PERCENT`
The "width" of the bins, centered around the median, that encompass 70% of all read pairs.
`int`
`WIDTH_OF_80_PERCENT`
The "width" of the bins, centered around the median, that encompass 80% of all read pairs.
`int`
`WIDTH_OF_90_PERCENT`
The "width" of the bins, centered around the median, that encompass 90% of all read pairs.
`int`
`WIDTH_OF_95_PERCENT`
The "width" of the bins, centered around the median, that encompass 95% of all read pairs.
`int`
`WIDTH_OF_99_PERCENT`
The "width" of the bins, centered around the median, that encompass 100% of all read pairs.

### Fields inherited from class MultilevelMetrics

`LIBRARY, READ_GROUP, SAMPLE`

## Constructor Summary

Constructors
Constructor
Description
`InsertSizeMetrics()`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### MEDIAN_INSERT_SIZE

public double MEDIAN_INSERT_SIZE
The MEDIAN insert size of all paired end reads where both ends mapped to the same chromosome.

### MODE_INSERT_SIZE

public double MODE_INSERT_SIZE
The MODE insert size of all paired end reads where both ends mapped to the same chromosome.

### MEDIAN_ABSOLUTE_DEVIATION

public double MEDIAN_ABSOLUTE_DEVIATION
The median absolute deviation of the distribution. If the distribution is essentially normal then the standard deviation can be estimated as ~1.4826 * MAD.

### MIN_INSERT_SIZE

public int MIN_INSERT_SIZE
The minimum measured insert size. This is usually 1 and not very useful as it is likely artifactual.

### MAX_INSERT_SIZE

public int MAX_INSERT_SIZE
The maximum measure insert size by alignment. This is usually very high representing either an artifact or possibly the presence of a structural re-arrangement.

### MEAN_INSERT_SIZE

public double MEAN_INSERT_SIZE
The mean insert size of the "core" of the distribution. Artefactual outliers in the distribution often cause calculation of nonsensical mean and stdev values. To avoid this the distribution is first trimmed to a "core" distribution of +/- N median absolute deviations around the median insert size. By default N=10, but this is configurable.

### STANDARD_DEVIATION

public double STANDARD_DEVIATION
Standard deviation of insert sizes over the "core" of the distribution.

### READ_PAIRS

public long READ_PAIRS
The total number of read pairs that were examined in the entire distribution.

### PAIR_ORIENTATION

public htsjdk.samtools.SamPairUtil.PairOrientation PAIR_ORIENTATION
The pair orientation of the reads in this data category.

### WIDTH_OF_10_PERCENT

public int WIDTH_OF_10_PERCENT
The "width" of the bins, centered around the median, that encompass 10% of all read pairs.

### WIDTH_OF_20_PERCENT

public int WIDTH_OF_20_PERCENT
The "width" of the bins, centered around the median, that encompass 20% of all read pairs.

### WIDTH_OF_30_PERCENT

public int WIDTH_OF_30_PERCENT
The "width" of the bins, centered around the median, that encompass 30% of all read pairs.

### WIDTH_OF_40_PERCENT

public int WIDTH_OF_40_PERCENT
The "width" of the bins, centered around the median, that encompass 40% of all read pairs.

### WIDTH_OF_50_PERCENT

public int WIDTH_OF_50_PERCENT
The "width" of the bins, centered around the median, that encompass 50% of all read pairs.

### WIDTH_OF_60_PERCENT

public int WIDTH_OF_60_PERCENT
The "width" of the bins, centered around the median, that encompass 60% of all read pairs.

### WIDTH_OF_70_PERCENT

public int WIDTH_OF_70_PERCENT
The "width" of the bins, centered around the median, that encompass 70% of all read pairs. This metric divided by 2 should approximate the standard deviation when the insert size distribution is a normal distribution.

### WIDTH_OF_80_PERCENT

public int WIDTH_OF_80_PERCENT
The "width" of the bins, centered around the median, that encompass 80% of all read pairs.

### WIDTH_OF_90_PERCENT

public int WIDTH_OF_90_PERCENT
The "width" of the bins, centered around the median, that encompass 90% of all read pairs.

### WIDTH_OF_95_PERCENT

public int WIDTH_OF_95_PERCENT
The "width" of the bins, centered around the median, that encompass 95% of all read pairs.

### WIDTH_OF_99_PERCENT

public int WIDTH_OF_99_PERCENT
The "width" of the bins, centered around the median, that encompass 100% of all read pairs.

## Constructor Details

### InsertSizeMetrics

public InsertSizeMetrics()